Joomla.it Forum

Joomla! 1.5.x (versione con supporto terminato) => Joomla! 1.5 => Installazione, migrazione e aggiornamento => Topic aperto da: rgsim - 02 Nov 2016, 18:03:23

Titolo: RedMigrator Interrotto
Inserito da: rgsim - 02 Nov 2016, 18:03:23
Salve a tutti
Sto cercando di migrare dalla versione 1.5.26 e seguendo le varie istruzioni, mi accingo a scaricare  RedMigrator. Mi registro come richiesto e ... sorpresa!!! RedMigrator è' "DISCONTINUED PROCUT"!!!!
Che devo Fare?
C'è qualcuno del "Joomla-Team" che mi può aiutare? Chissà quante copie ci sono in giro.... ;)
Grazie
Titolo: Re:RedMigrator Interrotto
Inserito da: giusebos - 02 Nov 2016, 18:12:06
per la migrazione ti consiglio J2XML, farai una migrazione pulita pulita e difficilmente avrai altri problemi dettai da vecchie estensioni che non esistono più o che non sono compatibili.
Titolo: Re:RedMigrator Interrotto
Inserito da: rgsim - 03 Nov 2016, 17:03:54
Ok
Ci provo, anche se ho già visto che il problema sarà quello di avviare in ambiente di prova la  versione 1.5.26 che ho scaricato dal web. Vedremo...
Nel frattempo GRAZIE MILLE
Titolo: Re:RedMigrator Interrotto
Inserito da: rgsim - 06 Nov 2016, 11:23:46
Eccomi qua [/size]ho seguito il consiglio di usare J2XML e dalla parte 1.5 ho ottenuto l'esportazione di alcuni dati (ho fatto solo prove  per ora, attendo di completare l'ambiente prima di fare un lavoro sistematico)Purtroppo pero quando cerco di importare tali dati nella versione 3,6,4 (l'ultima scaricata) mi si presente un errore che non riesco a comprendere ( e quindi nemmeno a risolvere)Errore
PLG_J2XML_IMPORTER15 PLG_J2XML_IMPORTER15_MSG_REQUIREMENTS_X
[/color]SLPLG_J2XML_IMPORTER15 PLG_J2XML_IMPORTER15_MSG_REQUIREMENTS_L IBFormato File (v1.5.6.74) non supportato. Impossibile importare il file.
[/font]
Titolo: Re:RedMigrator Interrotto
Inserito da: rgsim - 06 Nov 2016, 11:25:23
Eccomi qua [/size]ho seguito il consiglio di usare J2XML e dalla parte 1.5 ho ottenuto l'esportazione di alcuni dati (ho fatto solo prove  per ora, attendo di completare l'ambiente prima di fare un lavoro sistematico)Purtroppo pero quando cerco di importare tali dati nella versione 3,6,4 (l'ultima scaricata) mi si presente un errore che non riesco a comprendere ( e quindi nemmeno a risolvere)"Errore
PLG_J2XML_IMPORTER15 PLG_J2XML_IMPORTER15_MSG_REQUIREMENTS_X
[/color]SLPLG_J2XML_IMPORTER15 PLG_J2XML_IMPORTER15_MSG_REQUIREMENTS_L IBFormato File (v1.5.6.74) non supportato. Impossibile importare il file."
[/font]
Titolo: Re:RedMigrator Interrotto
Inserito da: MariaElenaBoschi - 06 Nov 2016, 15:15:09
avete aspettato troppo ad aggiornare ormai il sw che serve a 1.5 non coincide più con quello che serve a 3.x.x e a J2xml.

Questa sezione e quella della 1.0 sono da ibernare, non ha senso supportare qualcosa di non più supportato
Titolo: Re:RedMigrator Interrotto
Inserito da: rgsim - 07 Nov 2016, 10:18:29
Questo significa che si è persa ogni compatibilità tra la 1,5,26 e le attuali release?
Non capisco... la struttura dati della 1.5.26 non è cambiata, da allora. E' più probabile che (data la mia conoscenza della lingua inglese) io stia facendo confusione tra le varie versioni di J2XML.
Eppoi la tua affermazione mi sembra strana per più di un motivo:
Sulla 1.5.26 dove ho installato il componente J2XML (versione 1.5.4.81)e il plugin pplg_system_j2xml-1.5.3.10, l'export dei dati funziona; sono le versione 2.5 e 3,6 di Joomla che danno problemi di compatibilità.  Ci saranno "nel giro" versioni di j2xml compatibili...
Titolo: Re:RedMigrator Interrotto
Inserito da: MariaElenaBoschi - 07 Nov 2016, 20:11:29
significa che hai pure perso le compatibilità con gli ambienti richiesti.
https://downloads.joomla.org/technical-requirements

Non è che non si può fare è che bisogna avere competenze un po' più avanzate e poi c'è sempre da valutare se il gioco vale la candela visto che comunque non riuscirai a fare un aggiornamento completo.
Titolo: Re:RedMigrator Interrotto
Inserito da: rgsim - 08 Nov 2016, 09:01:30
E' giusto ciò che dici, le mie competenze non sono elevatissime, anzi...
Il fatto è che sui forum trovi traccia di tante belle spiegazioni (prima su RedMigrator e successivamente su J2XML) e tutte sono corredate da commenti entusiasmanti sulla buona riuscita del passaggio da una all'altra versione. Personalmente è da marzo che tento di vedere un risultato, ma negli ultimi dieci giorni ci ho dato proprio dentro.... col risultato che stiamo vedendo
A questo punto si impone una valutazione:
Ti ringrazio del tuo tempo e per le tue risposte.
Roberto
Titolo: Re:RedMigrator Interrotto
Inserito da: giusebos - 08 Nov 2016, 10:03:07
fai la migrazione in un ambiente di test così non rischi nulla, in fondo si tratta di una copia.

Per la compatibilità migra a step con una versione meno recente ma compatibile con J"XML, fatto questo avanza all'ultima versione.

Ricorda che dal sito nella versione 1.5 ti porterai dietro gli articoli, le categorie/sezioni (le sezioni diverranno categorie), gli utenti, la cartella con le immagini, tutto il resto andrà "ricostruito secondo il template che userai, l'organizzazione dei tuoi contenuti e gli eventuali componenti installati. Questo solo come precisazione in quanto sovente dopo la migrazione ci si aspetta un sito perfettamente funzionante come prima.

Quando poi avrai sistemato tutto, farai un bel backup che ripristinerai nello spazio "ufficiale", quello dove hai il sito nella vecchia 1.5.

ora tutto quello che ho scritto potrebbe indurti a partire in quarta, ma ti avverto che senza un minimo di studio (delle guide/tutorial/istruzioni) andrai poco lontano, stessa cosa per tutti gli altri settaggi. Quindi metti in conto anche ore passate davanti al computer (sempre che tu non sia un esperto in queste operazioni) a capire perchè le cose non vanno secondo quanto scritto.

In bocca al lupo.
Titolo: Re:RedMigrator Interrotto
Inserito da: rgsim - 08 Nov 2016, 18:00:52
Grazie per gli auguri (e per la risposta). Mi piacerebbe capire cosa SBAGLIO!!!!
Ho installato la versione Joomla 1.5.26 in locale. (Versione installata 1.5.6 build 80 [ Fravàglia ] Ultima versione)
Su questo è installato J2XML  la soluzione per l'import/export dei contenuti per siti web basati su Joomla!® 1.5 .
da questo in locale (ma anche da remoto) ottengo i files.XML di esportazione

Ho installato in locale Joomla! 2.5.28 Stable [ Ember ] 10-December-2014 15:00 GMT
dove è installato
J2XML la soluzione completa per l'import/export di contenuti per Joomla!
Installed Version3.1.117 j2xml
eshiol Library 14.2.10
J2XML Library 14.3.237
J2XML pulsanti Esporta e Invia Plugin 3.1.30
PLG_J2XML_IMPORTER15 Plugin 3.3.23.29
 Durante la fase di importazione mi da il seguente errore:
 PLG_J2XML_IMPORTER15 PLG_J2XML_IMPORTER15_MSG_REQUIREMENTS_X SL
 PLG_J2XML_IMPORTER15 PLG_J2XML_IMPORTER15_MSG_REQUIREMENTS_L IB
 Formato File (v1.5.6.74) non supportato. Impossibile importare il file


Ho provato (Sempre in locale) ad installare Joomla! 3.6.4 Stable [ Noether ] 21-October-2016 16:33 GMT
dove ho istallato
J2XML Library            14.3.237
J2XML pulsanti Esporta e Invia Plugin   3.1.30
PLG_J2XML_IMPORTER15 Plugin      3.3.23.29
dove ottengo l'errore "Formato File (v1.5.6.74) non supportato. Impossibile importare il file."

Ci sarà un dettaglio che ho sotto gli occhi ma che mi sfugge? ???
Titolo: Re:RedMigrator Interrotto
Inserito da: giusebos - 08 Nov 2016, 18:30:51
del post #9, cosa non hai capito?
Titolo: Re:RedMigrator Interrotto
Inserito da: MariaElenaBoschi - 08 Nov 2016, 20:53:23
prova a seguire questa guida leggendo bene perchè parla di versioni diverse di j2xml http://www.eshiol.it/31-guide/j2xml/37-joomla-15-to-30.html
Titolo: Re:RedMigrator Interrotto
Inserito da: rgsim - 09 Nov 2016, 22:36:25
ok... un meritato grazie a Giusebos e ElenaMariaBoschi.
Finalmente son  riuscito ad importare articoli e utenti nella versione 2.5 di Joomla! Ora si dovrà lavorare un po per rendere "pubblicabile" il tutto.
A questo punto mi par di capire che con le attuali versioni di J2XML, è vano pensare di fare la stessa operazione tra Joomla! 2.5 e Joomla! 3.6, visto che la documentazione reperibile tratta di Joomla! 3.0.
Ri Grazie!!